<template>
    <v-container>
        <div style="height: 70vh; width: 100%">
            <l-map :zoom="zoom" :center="center">
                <l-tile-layer
                        :url="url"
                        :attribution="attribution"
                />
                <l-marker v-for="point in points" :key="point.id" :lat-lng="[point.latitude, point.longitude]">
                    <l-icon :icon-size="[25, 25]" :iconAnchor="[12, 12]" icon-url="../assets/black_pastille.png">

                    </l-icon>
                    <l-tooltip :options="{permanent: true}">
                        <span>{{point.fic}}</span>
                    </l-tooltip>
                </l-marker>
            </l-map>
        </div>
    </v-container>
</template>

<script>
    import axios from "../plugins/axios";
    import {LIcon, LMap, LMarker, LTileLayer, LTooltip} from "vue2-leaflet";
    import {latLng} from "leaflet";

    export default {
        name: "DepartMap",
        components: {
            LMap,
            LTileLayer,
            LMarker,
            LTooltip,
            LIcon
        },
        data: () => ({
            iconUrl: () => {
                return require('../assets/black_pastille.png')
            },
            zoom: 13,
            center: latLng(0, 0),
            url: 'https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png',
            attribution:
                '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors',
            points: [],
        }),
        beforeCreate() {
            axios.get('departs/' + this.$route.params.depart + '/points' ).then((res) => {
                this.points = res.data
                this.center = latLng(this.points[0].latitude, this.points[0].longitude);
            })
        }
    }
</script>

<style scoped>

</style>